### Class

# Gom ResourceGroup

#### Description

    class Gom.ResourceGroup : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### gom_resource_group_new

No description available.

#### Instance methods

###### gom_resource_group_append

No description available.

###### gom_resource_group_delete_async

No description available.

###### gom_resource_group_delete_finish

No description available.

###### gom_resource_group_delete_sync

No description available.

###### gom_resource_group_fetch_async

No description available.

###### gom_resource_group_fetch_finish

No description available.

###### gom_resource_group_fetch_sync

Fetches a sequence of resources from the group synchronously. This must be called from an adapter read callback using gom_adapter_queue_read().

###### gom_resource_group_get_count

No description available.

###### gom_resource_group_get_index

Fetches the resource at `index_`. You must have loaded that resource by calling `gom_resource_group_fetch_async()` with a range inclusive of the index.

###### gom_resource_group_get_m2m_table

No description available.

###### gom_resource_group_write_async

No description available.

###### gom_resource_group_write_finish

No description available.

###### gom_resource_group_write_sync

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gom.ResourceGroup:count

No description available.

###### Gom.ResourceGroup:filter

No description available.

###### Gom.ResourceGroup:is-writable

No description available.

###### Gom.ResourceGroup:m2m-table

No description available.

###### Gom.ResourceGroup:m2m-type

No description available.

###### Gom.ResourceGroup:repository

No description available.

###### Gom.ResourceGroup:resource-type

No description available.

###### Gom.ResourceGroup:sorting

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GomResourceGroupClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.